const { Field } = require('../../../build');
let GlobalGroup = require('../includes/GlobalGroup');

module.exports = class extends GlobalGroup { 
	
	constructor() {
		super()
		.name('form', 'Form')
		this._build()
		return this
	}

	_build() {
		return this._buildChildrenArray(() => { 
			this.appendChildren([
				Field
					.form()
					.name('form', 'Form')
					.inlineHelpText('Select the Hubspot form to display.')
			])
		})
	}
}