/**
 * Usage
 import Vue from 'vue';
 import loadComponents from 'hs-dev-helper/js-toolkit/Vue/loadComponents';
 
 loadComponents(Vue)

 For Vue 3 pass in CreateApp Const
 ...
 */

const files = require.context('./components', true, /\.vue$/i)

export default (VueApp) => {
	files.keys().map(key => {
		VueApp.component(key.split('/').pop().replace(/\.\w+$/, ''), files(key).default)
	})
}